Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.icao
Interface ICAOObjectIdentifiers

All Known Implementing Classes:
  LDSSecurityObject

public interface ICAOObjectIdentifiers

{ ISOITU(2) intorgs(23) icao(136) }

Field Summary
`static ASN1ObjectIdentifier` | `id_icao` 2.23.136
`static ASN1ObjectIdentifier` | `id_icao_aaProtocolObject` Active Authentication protocol, see draft TR LDS and PKI Maintenance, par. 5.2.2 2.23.136.1.1.5
`static ASN1ObjectIdentifier` | `id_icao_cscaMasterList` CSCA master list, see TR CSCA Countersigning and Master List issuance 2.23.136.1.1.2
`static ASN1ObjectIdentifier` | `id_icao_cscaMasterListSigningKey` 2.23.136.1.1.3
`static ASN1ObjectIdentifier` | `id_icao_documentTypeList` document type list, see draft TR LDS and PKI Maintenance, par. 3.2.1 2.23.136.1.1.4
`static ASN1ObjectIdentifier` | `id_icao_extensions` CSCA name change and key reoll-over, see draft TR LDS and PKI Maintenance, par. 3.2.1 2.23.136.1.1.6
`static ASN1ObjectIdentifier` | `id_icao_extensions_namechangekeyrollover` 2.23.136.1.1.6.1
`static ASN1ObjectIdentifier` | `id_icao_ldsSecurityObject` LDS security object, see ICAO Doc 9303-Volume 2-Section IV-A3.2 2.23.136.1.1.1
`static ASN1ObjectIdentifier` | `id_icao_mrtd` 2.23.136.1
`static ASN1ObjectIdentifier` | `id_icao_mrtd_security` 2.23.136.1.1

Field Detail

### id_icao

    public static final ASN1ObjectIdentifier id_icao

  2.23.136

### id_icao_mrtd

    public static final ASN1ObjectIdentifier id_icao_mrtd

  2.23.136.1

### id_icao_mrtd_security

    public static final ASN1ObjectIdentifier id_icao_mrtd_security

  2.23.136.1.1

### id_icao_ldsSecurityObject

    public static final ASN1ObjectIdentifier id_icao_ldsSecurityObject

  LDS security object, see ICAO Doc 9303-Volume 2-Section IV-A3.2

  2.23.136.1.1.1

### id_icao_cscaMasterList

    public static final ASN1ObjectIdentifier id_icao_cscaMasterList

  CSCA master list, see TR CSCA Countersigning and Master List issuance

  2.23.136.1.1.2

### id_icao_cscaMasterListSigningKey

    public static final ASN1ObjectIdentifier id_icao_cscaMasterListSigningKey

  2.23.136.1.1.3

### id_icao_documentTypeList

    public static final ASN1ObjectIdentifier id_icao_documentTypeList

  document type list, see draft TR LDS and PKI Maintenance, par. 3.2.1

  2.23.136.1.1.4

### id_icao_aaProtocolObject

    public static final ASN1ObjectIdentifier id_icao_aaProtocolObject

  Active Authentication protocol, see draft TR LDS and PKI Maintenance, par. 5.2.2

  2.23.136.1.1.5

### id_icao_extensions

    public static final ASN1ObjectIdentifier id_icao_extensions

  CSCA name change and key reoll-over, see draft TR LDS and PKI Maintenance, par. 3.2.1

  2.23.136.1.1.6

### id_icao_extensions_namechangekeyrollover

    public static final ASN1ObjectIdentifier id_icao_extensions_namechangekeyrollover

  2.23.136.1.1.6.1

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD